#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>

#include "check/check.h"
#include "parser/parser.h"

QT_BEGIN_NAMESPACE
namespace Ui {
class MainWindow;
}
QT_END_NAMESPACE

class MainWindow : public QMainWindow {
    Q_OBJECT

    Check check;
    Parser parser;

public:
    MainWindow(QWidget *parent = nullptr);
    ~MainWindow();
    void setupStoresList();

    Check get_check();
    void onDecodedData(std::string);

    std::string makeRequestToOfd(std::string captcha);
private slots:
    void on_parseButton_clicked();

    void on_storeType_currentIndexChanged(int index);

    void on_preferencesButton_clicked();

    void on_chooseImageButton_ofd_clicked();

    void on_chooseImageButton_ocr_clicked();

private:
    Ui::MainWindow *ui;
};
#endif // MAINWINDOW_H
